Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartLabelInfo

    java.lang.Object
      jet.report.xls.ChartLabelInfo

    public class ChartLabelInfo

extends java.lang.Object

Information of chart label

Constructor Summary
`ChartLabelInfo()`
`ChartLabelInfo(int x, int y, int width, int height, FontInfo fontInfo, ChartAreaInfo labelAreaInfo, java.lang.String text)` Constructs a ChartLabelInfo record and sets its fields appropriately.

Method Summary
`FontInfo` | `getFontInfo()` Get the Information of label font
`int` | `getHeight()` Get the height of label
`ChartAreaInfo` | `getLabelAreaInfo()` Get the Information of label Area
`java.lang.String` | `getText()` Get the text of label
`int` | `getWidth()` Get the width of label
`int` | `getX()` Get the x position of label
`int` | `getY()` Get the y position of label
`void` | `setFontInfo(FontInfo fontInfo)` Set the Information of label font
`void` | `setHeight(int height)` Set the height of label
`void` | `setLabelAreaInfo(ChartAreaInfo labelAreaInfo)` Set the Information of label Area
`void` | `setText(java.lang.String text)` Set the text of label
`void` | `setWidth(int width)` Set the width of label
`void` | `setX(int x)` Set the x position of chart
`void` | `setY(int y)` Set the y position of label

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartLabelInfo

    public ChartLabelInfo()

### ChartLabelInfo

    public ChartLabelInfo(int x,
                          int y,
                          int width,
                          int height,
                          FontInfo fontInfo,
                          ChartAreaInfo labelAreaInfo,
                          java.lang.String text)

  Constructs a ChartLabelInfo record and sets its fields appropriately.

  Parameters:
    `x` - x position of the label
    `y` - y position of the label
    `width` - width of the label
    `height` - height of the label
    `fontInfo` - The information of label font
    `labelAreaInfo` - the information of label area
    `text` - text of the label

Method Detail

### setX

    public void setX(int x)

  Set the x position of chart

### getX

    public int getX()

  Get the x position of label

  Returns:
    the x position of label

### setY

    public void setY(int y)

  Set the y position of label

### getY

    public int getY()

  Get the y position of label

  Returns:
    the y position of label

### setWidth

    public void setWidth(int width)

  Set the width of label

### getWidth

    public int getWidth()

  Get the width of label

  Returns:
    the width of label

### setHeight

    public void setHeight(int height)

  Set the height of label

### getHeight

    public int getHeight()

  Get the height of label

  Returns:
    the height of label

### setLabelAreaInfo

    public void setLabelAreaInfo(ChartAreaInfo labelAreaInfo)

  Set the Information of label Area

  Parameters:
    `labelAreaInfo` - the Information of label Area

### getLabelAreaInfo

    public ChartAreaInfo getLabelAreaInfo()

  Get the Information of label Area

  Returns:
    the Information of label Area

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

  Set the Information of label font

  Parameters:
    `labelAreaInfo` - the Information of label font

### getFontInfo

    public FontInfo getFontInfo()

  Get the Information of label font

  Returns:
    the Information of label font

### setText

    public void setText(java.lang.String text)

  Set the text of label

  Parameters:
    `text` - the text of label

### getText

    public java.lang.String getText()

  Get the text of label

  Returns:
    the text of label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD